Bug 37438 - ks.cfg wont be accessd during boot-up / anaconda crashes during install with nfs
ks.cfg wont be accessd during boot-up / anaconda crashes during install with nfs
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-24 11:39 EDT by Philipp Fischer
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 15:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Fischer 2001-04-24 11:39:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.14-5.0 i686)


Clean Reinstall from 6.2 to 7.1, intel, 40mb ram, around 200Mhz

1)  Kickstartinstallation with ks.cfg on a bootfloppy: it seems, that the
script is not accessed: the installer asks for language, ip,
install-method... what happens, if there is an error in the script: does
the script  stops completly or will the script just ask for the
wrong/missing part? 

2) after giving the proper informations (language, ip ...), I choose
nfs-install, and giving the needed informations (server, directory),
anaconda starts and crashes with the errormessage:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1698, in
doInstall
    self.getCompsList()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 770, in
getCompsList
    self.updateInstClassComps ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 811, in
updateInstClassComp
s
    self.selectPackage(n)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 826, in
selectPackage
    raise ValueError, str
ValueError: package XFree86-XF86Setup is not available

Local variables in innermost frame:
package: XFree86-XF86Setup
str: package XFree86-XF86Setup is not available

and another 400k from the anaconda-dumb

Does anyone has an idea?

Philipp Fischer




Reproducible: Always
Steps to Reproduce:
1. updating an existing ks.cfg to the redhat 7.1 standard
2. mounting and copying the bootnet.img and the scrips to an floppy 
3. booting from floppy, choosing install about nfs, anaconda starts 
	

Actual Results:  anaconda fails with an error message

Expected Results:  7.1 should be installed over nfs
Comment 1 Brent Fox 2001-04-24 12:23:29 EDT
1)It depends.  If you leave required sections out of the ks.cfg file (like
networking), the installer will prompt you for the information.  However, if you
totally bogus or nonsensical information in the ks.cfg file, it is quite
possible that the installer will crash while trying to make sense of the data.

2)It looks like you have a corrupt install image or your NFS server was not set
up properly.  See bug #29095 for details.

Thanks for your report.

*** This bug has been marked as a duplicate of 29095 ***
Comment 2 Philipp Fischer 2001-05-10 07:26:36 EDT
Nope, neither rewriting the ks.cfg nor using three diferent cds, iso and
downloaded files resolved the problem. 

Comment 3 Brent Fox 2001-05-10 11:45:41 EDT
Oh, sorry.  You must be using an older kickstart file...we don't ship the
XFree86-Setup package any more.  If that package is listed in your kickstart
file, then it's telling the installer to install a package that isn't there. 
Does this help clarify things?
Comment 4 Philipp Fischer 2001-06-05 07:21:49 EDT
Sorrz, nope, it didn' t help.  I checked all packages and data in the ks.cfg. 
According to the manual, all should be correct.


lang en_US
nfs --server horschd.foo.fh-furtwangen.de --dir
/disk/horschd-disk2/ftp/pub/os/rh71/
device ethernet 3c509 --opts "io=0x300, irq=10"
network --bootproto static --device eth0   --ip 141.28.64.28 --gateway
141.28.64.254 --nameserver
141.28.64.7 --netmask 255.255.255.0 --hostname arath.foo.fh-furtwangen.de
device scsi aic7xxx
keyboard us
zerombr no
clearpart --linux
part swap --size 127
part / --size 150
part /usr --size 500 --grow
install
mouse
timezone Europe/Berlin
xconfig  --monitor "Generic06"
rootpw --iscrypted tde0Yh80BHfQY
auth --nisdomain foo
lilo --location mbr

%packages
@ X Window System
@ GNOME
@ Mail/WWW/News Tools
@ Graphics Manipulation
@ Networked Workstation
@ Authoring/Publishing
@ Emacs
@ Development
@ Kernel Development

XFree86-VGA16
#XFree86-XF86Setup
XFree86-xf86cfg
adjtimex
am-utils
arpwatch
bootparamd
compat-glibc
compat-libs
comsat
dump
exmh
finger-server
freetype-devel
freetype-utils
giftrans
gimp-data-extras
gperf
#inetd
xinetd
ircii
#kernelcfg
libelf
libjpeg6a
libpcap
mgetty
mkinitrd
mkkickstart
mtools
#ncurses3
ncurdes4
openldap
procinfo
procps-X11
python-devel
python-docs
python-tools
qt
qt1x
rgrep
rsh-server
rusers-server
rwall
sed
sendmail-cf
sendmail-doc
symlinks
talk-server
tcpdump
tetex-doc
transfig
ucd-snmp
ucd-snmp-utils
unarj
unzip
wget
xfig
xmailbox
#xntp3
ntp4
xrn
xsysinfo
zip
zlib-devel

%post

Comment 5 Brent Fox 2001-06-11 12:11:10 EDT
What does the error message look like now?  Also, I'm not sure if you can use
'#' characters as comments in the packages section.  Try removing those packages
from your kickstart file completely and see if that helps.
Comment 6 Brent Fox 2001-06-21 15:12:25 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.